$LOAD_PATH.unshift "~/ruby/poly"
require "polynomialm"
require "gbasem"
#require "mathn"
if false
  f1=PolynomialM("x + y + 1")
  f2=PolynomialM("x - y - 1")
  puts GBase.getGBase([f1, f2])
elsif false
  f1 = PolynomialM("x**3 * y**2 - x**2 * y**3 + x")
  f2 = PolynomialM("3 * x**4 * y + y**2")
  puts GBase.getGBase([f1,f2])
else
  f1 = PolynomialM("2x+3y+3")
  f2 = PolynomialM("x+5y+2")
  puts GBase.getGBaseZp([f1,f2], 7)
  #polynomialm.rb:826:in `divmodZp': wrong # of arguments(1 for 2) (ArgumentError)
end
